summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2006-10-07 07:08:29 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2006-10-07 07:08:29 +0000
commitdc52b433efc3bba39fb801b05e8d0530c680ad0e (patch)
treed2d9c1f8511891af5f5e71085413ea585e9854d4 /tests
parent4767fc607e5fd38b2a9c8db2d876125aaa10e578 (diff)
downloadcoreutils-dc52b433efc3bba39fb801b05e8d0530c680ad0e.tar.xz
* src/install.c (make_ancestor): New arg COMPONENT.
* src/mkdir.c (make_ancestor): Likewise. * tests/install/basic-1: Check for install -Dv bug.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install/basic-118
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 55f0b511c..84a94343b 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -24,6 +24,14 @@ if test "$VERBOSE" = yes; then
ginstall --version
fi
+# Make sure we get English translations.
+LANGUAGE=C
+export LANGUAGE
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
. $srcdir/../envvar-check
PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
@@ -130,4 +138,14 @@ test -d xx/zz || fail=1
test -d sub1/d/rel/a || fail=1
test -d sub1/d/rel/b || fail=1
+touch file || fail=1
+ginstall -Dv file sub3/a/b/c/file >out 2>&1 || fail=1
+diff - out <<\EOF || fail=1
+ginstall: creating directory `sub3'
+ginstall: creating directory `sub3/a'
+ginstall: creating directory `sub3/a/b'
+ginstall: creating directory `sub3/a/b/c'
+`file' -> `sub3/a/b/c/file'
+EOF
+
(exit $fail); exit $fail